Subject: Re: bug#16768: 24.3.50; `quit-restore-window' with KILL=t replaces special-display buffer in its dedicated window

From: martin rudalics <[email-masked]>
Date: Sun, 16 Feb 2014 11:33:20 +0100

> This part of the `quit-restore-window' causes a special-display buffer,
 > whose window is dedicated to it, to be replaced in that window by
 > another buffer:
 >
 > (t
 >  ;; Show some other buffer in WINDOW and reset the quit-restore
 >  ;; parameter.
 >  (set-window-parameter window 'quit-restore nil)
 >  ;; Make sure that WINDOW is no more dedicated.
 >  (set-window-dedicated-p window nil)
 >  (switch-to-prev-buffer window bury-or-kill))
 >
 > If BURY-OR-KILL is `kill' then the window/frame should simply be
 > deleted.  A window dedicated to a particular buffer should not be reused
 > for another buffer.

   Optional second argument BURY-OR-KILL tells how to proceed with
   the buffer of WINDOW.

so this is not related to whether the window or frame should be deleted.

 > Consider, for example, a `special-display-frame-alist' that specifies
 > certain frame attributes - e.g., a particular background color.  You do
 > not want to reuse such a frame for another buffer, especially for a non
 > special-display buffer.  The frame should be deleted when its buffer
 > is killed.

IIUC a dedicated window is not deleted only if it was used before by
another buffer or it's the last window on the last frame.  Can you give
a scenario with emacs -Q where such a window is not deleted?

martin